Package fr.gouv.vitam.collect.internal.core.service

# Class FluxService

java.lang.Object
fr.gouv.vitam.collect.internal.core.service.FluxService

public class FluxService extends Object

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static final record`
  `FluxService.DigestWithSize`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final com.fasterxml.jackson.core.type.TypeReference<CollectJsonMetadataLine>`
  `COLLECT_JSON_METADATA_LINE_TYPE_REFERENCE`
  `static final com.fasterxml.jackson.core.type.TypeReference<JsonLineModel>`
  `JSON_LINE_MODEL_TYPE_REFERENCE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FluxService(CollectService collectService, MetadataService metadataService, ProjectRepository projectRepository, MetadataRepository metadataRepository, AdminManagementClientFactory adminManagementClientFactory, CollectInternalConfiguration configuration)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `processStream(InputStream inputStreamObject, String projectId, String transactionId, String encoding, String explicitAttachementId)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### COLLECT_JSON_METADATA_LINE_TYPE_REFERENCE

    public static final com.fasterxml.jackson.core.type.TypeReference<CollectJsonMetadataLine> COLLECT_JSON_METADATA_LINE_TYPE_REFERENCE

  - ### JSON_LINE_MODEL_TYPE_REFERENCE

    public static final com.fasterxml.jackson.core.type.TypeReference<JsonLineModel> JSON_LINE_MODEL_TYPE_REFERENCE

- ## Constructor Details

  - ### FluxService

    public FluxService(CollectService collectService, MetadataService metadataService, ProjectRepository projectRepository, MetadataRepository metadataRepository, AdminManagementClientFactory adminManagementClientFactory, CollectInternalConfiguration configuration)

- ## Method Details

  - ### processStream

    public void processStream(InputStream inputStreamObject, String projectId, String transactionId, @Nullable String encoding, @Nullable String explicitAttachementId) throws CollectInternalException
    Throws:
      `CollectInternalException`